Dokumentacja API

Endpointy: 112

Każdy endpoint akceptuje JSON i wymaga nagłówka X-API-Key do uwierzytelniania.

Bazowy URL i nagłówek

Bazowy URL
https://horizon.pm/api/v1/app
X-API-Key
Klucz API Twojego projektu. Wysyłaj go z każdym żądaniem.

Zobacz pełną dokumentację API

Endpointy

112 z 112
MetodaŚcieżkaFunkcjeKopiuj URL
GET/marketplace/limitsRynek
GET/marketplace/rulesRynek
GET/marketplaceRynek
GET/marketplace/listingsRynek
GET/marketplace/listings/{listingId}Rynek
POST/marketplace/listingsRynek
POST/marketplace/listings/{listingId}/buyRynek
POST/marketplace/listings/{listingId}/cancelRynek
GET/marketplace/operations/{operationId}Rynek
POST/marketplace/listings/{listingId}/retry-returnRynek
GET/chat/limitsRozmowy
POST/chat/channels/openRozmowy
POST/chat/channels/{channelId}/syncRozmowy
POST/chat/channels/{channelId}/messagesRozmowy
GET/chat/operations/{operationId}Rozmowy
POST/chat/channels/{channelId}/messages/{messageId}/reportRozmowy
GET/matchesMecze
GET/matches/limitsMecze
GET/matches/openMecze
GET/matches/{matchId}Mecze
POST/matchesMecze
POST/matches/{matchId}/joinMecze
POST/matches/{matchId}/declineMecze
POST/matches/{matchId}/startMecze
POST/matches/{matchId}/turnMecze
POST/matches/{matchId}/timeoutMecze
POST/matches/{matchId}/leaveMecze
POST/matches/{matchId}/cancelMecze
POST/matches/{matchId}/resultMecze
POST/matches/{matchId}/ranked-runMecze
GET/shared-objects/collectionsObiekty współdzielone
GET/shared-objects/{collection}/usageObiekty współdzielone
GET/shared-objects/{collection}/objects/{objectId}Obiekty współdzielone
POST/shared-objects/{collection}/queryObiekty współdzielone
POST/shared-objects/{collection}/objectsObiekty współdzielone
PUT/shared-objects/{collection}/objects/{objectId}Obiekty współdzielone
DELETE/shared-objects/{collection}/objects/{objectId}Obiekty współdzielone
GET/itemsPrzedmioty
GET/items/catalogPrzedmioty
POST/items/adjustPrzedmioty
POST/items/equipPrzedmioty
POST/items/discardPrzedmioty
GET/groupsGrupy
GET/groups/{groupId}Grupy
GET/groups/{groupId}/membersGrupy
GET/groups/{groupId}/pendingGrupy
POST/groupsGrupy
PUT/groups/{groupId}Grupy
POST/groups/{groupId}/joinGrupy
POST/groups/{groupId}/requestGrupy
POST/groups/{groupId}/inviteGrupy
POST/groups/{groupId}/accept-inviteGrupy
POST/groups/{groupId}/decline-inviteGrupy
POST/groups/{groupId}/cancel-inviteGrupy
POST/groups/{groupId}/accept-requestGrupy
POST/groups/{groupId}/decline-requestGrupy
POST/groups/{groupId}/cancel-requestGrupy
POST/groups/{groupId}/leaveGrupy
POST/groups/{groupId}/removeGrupy
POST/groups/{groupId}/roleGrupy
POST/groups/{groupId}/transferGrupy
POST/groups/{groupId}/deleteGrupy
POST/user-management/signupUwierzytelnianie
POST/user-management/signinUwierzytelnianie
POST/user-management/check-authUżytkownicy
POST/user-management/change-nameUżytkownicy
GET/friendsZnajomi
GET/friends/findZnajomi
POST/friends/requestZnajomi
POST/friends/acceptZnajomi
POST/friends/declineZnajomi
POST/friends/cancelZnajomi
POST/friends/removeZnajomi
POST/friends/blockZnajomi
POST/friends/unblockZnajomi
GET/achievementsOsiągnięcia
POST/achievements/unlockOsiągnięcia
POST/achievements/rewards/deliverOsiągnięcia
GET/inboxSkrzynka gracza
POST/inbox/readSkrzynka gracza
POST/inbox/claimSkrzynka gracza
POST/inbox/removeSkrzynka gracza
GET/statisticsStatystyki gracza
GET/statistics/definitionsStatystyki gracza
POST/statisticsStatystyki gracza
GET/player-valuesWartości gracza
GET/player-values/offersWartości gracza
POST/player-values/purchaseWartości gracza
POST/player-values/adjustWartości gracza
GET/player-profileProfil gracza
PUT/player-profileProfil gracza
POST/leaderboard/submitRanking
GET/leaderboards/{boardKey}/topRanking
GET/leaderboards/{boardKey}/rankRanking
GET/leaderboards/{boardKey}/aroundRanking
POST/validated-actions/runsZweryfikowane akcje
POST/validated-actions/submitZweryfikowane akcje
POST/cloud-save/saveZapis w Chmurze
POST/cloud-save/loadZapis w Chmurze
GET/remote-config/{configKey}Konfig. Zdalna
GET/remote-config/allKonfig. Zdalna
GET/localization/{key}Lokalizacja
GET/localization/allLokalizacja
GET/newsWiadomości
POST/gift-codes/validateKody Podarunkowe
POST/gift-codes/redeemKody Podarunkowe
POST/email-sending/sendWysyłanie Emaili
GET/email-sending/{emailId}Wysyłanie Emaili
POST/crash-reports/sessionRaporty awarii
POST/crash-reports/createRaporty awarii
POST/user-feedback/submitOpinie Użytkowników
POST/user-logs/createLogi Użytkowników

Przykładowe żądanie

REST (curl)
Bash
1curl -X POST https://horizon.pm/api/v1/app/user-management/signup \
2 -H "Content-Type: application/json" \
3 -H "X-API-Key: horizon_YOUR_API_KEY_HERE" \
4 -d '{"type":"ANONYMOUS","username":"TestPlayer","includeRefreshToken":true}'